#2194 load(lapack) does not work

None
closed
nobody
5
2013-11-16
2011-04-26
b-ron
No

I am new to Maxima. I am running it on Ubuntu 8.04. I cannot load the lapack package. I loaded maxima through synaptic package "maxima". I loaded the lapack through synaptic package "maxima-share".

Here is my build info for maxima:

(%i1) build_info();

Maxima version: 5.13.0
Maxima build date: 9:20 12/12/2007
host type: i686-pc-linux-gnu
lisp-implementation-type: GNU Common Lisp (GCL)
lisp-implementation-version: GCL 2.6.8

(%o1)

Below, I try to load lapack package in maxima, and you can see the results.

(%i2) load(lapack);

Compiling /usr/share/maxima/5.13.0/share/lapack/./lapack-package.lisp.
Load failed for /usr/share/maxima/5.13.0/share/lapack/load-lapack.lisp
-- an error. To debug this try debugmode(true);

Then I quit(); And sudo maxima. I try load(lapack) again...

(%i1) load(lapack);

Compiling /usr/share/maxima/5.13.0/share/lapack/./lapack-package.lisp.
End of Pass 1.
End of Pass 2.
/usr/share/maxima/5.13.0/share/lapack/./lapack-package.c:2:24: error: cmpinclude.h: No such file or directory
Load failed for /usr/share/maxima/5.13.0/share/lapack/load-lapack.lisp
-- an error. To debug this try debugmode(true);
(%i2)
Maxima encountered a Lisp error:

Console interrupt.

Automatically continuing.
To reenable the Lisp debugger set *debugger-hook* to nil.

So I quit(); again. Then sudo maxima again. Then try load(lapack) again...

(%i1) load(lapack);

Compiling /usr/share/maxima/5.13.0/share/lapack/./lapack-package.lisp.
End of Pass 1.
End of Pass 2.
/usr/share/maxima/5.13.0/share/lapack/./lapack-package.c:2:24: error: cmpinclude.h: No such file or directory
Load failed for /usr/share/maxima/5.13.0/share/lapack/load-lapack.lisp
-- an error. To debug this try debugmode(true);

What I am doing wrong?

Discussion

  • Raymond Toy

    Raymond Toy - 2011-04-28

    The last message given (about cmpinclude.h not existing) is a strong hint that your version of gcl is somehow broken. If so, this is a gcl problem, not a maxima problem.

    To test this, start gcl and try to compile a simple lisp file.

    Also, 5.13 is ancient. You can try to upgrade to a newer version of maxima, and/or also use a different lisp to run maxima. Any of ccl, clisp, cmucl, ecl, or sbcl should work fine.

     
  • Dieter Kaiser

    Dieter Kaiser - 2011-04-28

    This is my current installation:

    Maxima version: 5.23post
    Maxima build date: 0:49 4/28/2011
    Host type: i686-pc-linux-gnu
    Lisp implementation type: SBCL
    Lisp implementation version: 1.0.45

    I never used lapack, but I tried it today. On my system I can not load it, too. These are the last lines I get:

    ; compiling (LET* (# #) ...)Heap exhausted during garbage collection: 4096 bytes available, 4104 requested.
    Gen StaPg UbSta LaSta LUbSt Boxed Unboxed LB LUB !move Alloc Waste Trig WP GCs Mem-age
    0: 110281 0 0 0 6107 4647 0 0 0 22186984 21861400 11614800 0 1 0,0000
    1: 23991 131071 0 0 120 26988 0 0 33 55794456 55239912 2000000 57 0 1,0337
    2: 127524 127525 0 0 851 60560 33 0 35 130068840 121605784 2000000 849 0 0,4551
    3: 63553 63444 23583 0 13238 2075 365 113 183 59231304 5448632 2000000 10578 0 0,6082
    4: 21353 21301 15113 0 1611 398 541 10 83 9974656 511104 2000000 1580 0 0,0000
    5: 0 0 0 0 0 0 0 0 0 0 0 2000000 0 0 0,0000
    6: 0 0 0 0 11279 2118 0 0 0 54874112 0 2000000 11118 0 0,0000
    Total bytes allocated = 332130352
    Dynamic-space-size bytes = 536870912
    GC control variables:
    *GC-INHIBIT* = true
    *GC-PENDING* = in progress
    *STOP-FOR-GC-PENDING* = false
    fatal error encountered in SBCL pid 6239(tid 3085104832):
    Heap exhausted, game over.

    Welcome to LDB, a low-level debugger for the Lisp runtime environment.
    ldb>

    A second observation: The path to the binaries seems to me strange. On my system I have:

    .maxima/binary/binary-sbcl/share/lapack

    But the .fasl files are stored in:

    .maxima/binary/binary-sbcl/share/lapack/binary-sbcl/lapack

    I would expect the .fasl files in the first path. By the way the blas-files are stored in:

    .maxima/binary/binary-sbcl/share/lapack/blas

    Dieter Kaiser

     
  • Robert Dodier

    Robert Dodier - 2013-11-16
    • labels: Share Libraries --> Share Libraries, Installation
    • status: open --> closed
    • Group: --> None
     
  • Robert Dodier

    Robert Dodier - 2013-11-16

    I can't reproduce the behavior reported by OP using official Maxima 5.24 packages (built with GCL 2.6.7) on Ubuntu 12.04 (precise). I'm sure this is a bug, but there's not much to be gained by open reports which can't be resolved; therefore closing it.

    The behavior observed by Dieter Kaiser still persists; I'll open new reports for that.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks